OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class KnownIPMgr.IPInterface

    java.lang.Object
      org.opennms.netmgt.capsd.KnownIPMgr.IPInterface

Enclosing class:
  KnownIPMgr

static final class KnownIPMgr.IPInterface
extends java.lang.Object

This class is used to encapsulate the elements of importants from the IP interface table in the OpenNMS database. The main elements are the interface address, the node identifier, and the last time the interface was checked.

Author:
  Weave , OpenNMS

Field Summary
`private java.net.InetAddress` `m_interface` The internet address of the interface.
`private java.sql.Timestamp` `m_lastCheck` The last date that the interface was checked for capabilities.
`private int` `m_nodeid` The node identifier for this interface.

Constructor Summary
`(package private)` `KnownIPMgr.IPInterface(java.net.InetAddress iface, int nodeid)` Constructs a new instance to represent the IP interface.
`(package private)` `KnownIPMgr.IPInterface(java.net.InetAddress iface, int nodeid, java.lang.String date)` Constructs a new instance to represent the IP interface.
`(package private)` `KnownIPMgr.IPInterface(java.net.InetAddress iface, int nodeid, java.sql.Timestamp date)` Constructs a new instance to represent the IP interface.

Method Summary
`(package private) java.net.InetAddress` `getAddress()` Returns the internet address of the interface.
`(package private) java.sql.Timestamp` `getLastCheckTime()` Returns the data on which the interface was last checked.
`(package private) int` `getNodeId()` Returns the node identifier for this interface.
`(package private) void` `setLastCheckTime(java.sql.Timestamp time)` Sets the time the interface was last checked.
`(package private) void` `update(java.sql.Connection db)` Updates the the last check time in the database to match the time encapsulated in this instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_interface

    private java.net.InetAddress m_interface

  The internet address of the interface.

### m_lastCheck

    private java.sql.Timestamp m_lastCheck

  The last date that the interface was checked for capabilities.

### m_nodeid

    private int m_nodeid

  The node identifier for this interface.

Constructor Detail

### KnownIPMgr.IPInterface

    KnownIPMgr.IPInterface(java.net.InetAddress iface,
                           int nodeid)

  Constructs a new instance to represent the IP interface.

Parameters:
  `iface` - The IP Interface address.
  `nodeid` - The node identifier for the address.

### KnownIPMgr.IPInterface

    KnownIPMgr.IPInterface(java.net.InetAddress iface,
                           int nodeid,
                           java.sql.Timestamp date)

  Constructs a new instance to represent the IP interface.

Parameters:
  `iface` - The IP Interface address.
  `nodeid` - The node identifier for the address.
  `date` - The last date this address was checked.

### KnownIPMgr.IPInterface

    KnownIPMgr.IPInterface(java.net.InetAddress iface,
                           int nodeid,
                           java.lang.String date)
                     throws java.text.ParseException

  Constructs a new instance to represent the IP interface.

Parameters:
  `iface` - The IP Interface address.
  `nodeid` - The node identifier for the address.
  `date` - The last date this address was checked.
Throws:
  `java.text.ParseException` - Thrown if the date is malformed.

Method Detail

### getAddress

    java.net.InetAddress getAddress()

  Returns the internet address of the interface.

### getNodeId

    int getNodeId()

  Returns the node identifier for this interface.

### getLastCheckTime

    java.sql.Timestamp getLastCheckTime()

  Returns the data on which the interface was last checked.

### setLastCheckTime

    void setLastCheckTime(java.sql.Timestamp time)

  Sets the time the interface was last checked.

### update

    void update(java.sql.Connection db)
          throws java.sql.SQLException

  Updates the the last check time in the database to match the time encapsulated in this instance.

  Parameters:
    `db` - The database to update the result in.
  Throws:
    `java.sql.SQLException` - Thrown if an error occurs updating the database entry.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.